My Project: Transform Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
Transform Class Reference

`#include <geom.h>`

## Public Member Functions

| Transform ()
| Transform (const MMatrix &m)
| Transform (const Vector &v)
| Transform (const MMatrix &m, const Vector &v)
Transform & | operator- () const
Transform & | operator~ () const
Vector | operator* (const Vector &q) const
Line | operator* (const Line &q) const
Box | operator* (const Box &q) const
Transform & | operator* (const Transform &q) const
bool | operator== (const Transform &q) const
bool | operator!= (const Transform &q) const

## Public Attributes

MMatrix | m
Vector | v

## Constructor & Destructor Documentation

## § Transform() [1/4]

Transform::Transform | ( |  | ) |

inline

## § Transform() [2/4]

Transform::Transform | ( | const MMatrix & | m | ) |

inline

## § Transform() [3/4]

Transform::Transform | ( | const Vector & | v | ) |

inline

## § Transform() [4/4]

Transform::Transform | ( | const MMatrix & | m,
|  | const Vector & | v
| ) |  |

inline

## Member Function Documentation

## § operator!=()

bool Transform::operator!= | ( | const Transform & | q | ) | const

inline

## § operator*() [1/4]

Vector Transform::operator* | ( | const Vector & | q | ) | const

inline

## § operator*() [2/4]

Line Transform::operator* | ( | const Line & | q | ) | const

inline

## § operator*() [3/4]

Box Transform::operator* | ( | const Box & | q | ) | const

inline

## § operator*() [4/4]

Transform& Transform::operator* | ( | const Transform & | q | ) | const

inline

## § operator-()

Transform& Transform::operator- | ( |  | ) | const

inline

## § operator==()

bool Transform::operator== | ( | const Transform & | q | ) | const

inline

## § operator~()

Transform& Transform::operator~ | ( |  | ) | const

inline

## Member Data Documentation

## § m

MMatrix Transform::m

## § v

Vector Transform::v

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/geom.h
- openb3dlib.mod/openb3d/src/geom.cpp